Skip to main content
GET
/
v3
/
orders
/
{id}
/
chats
/
{chat_id}
Get a single order chat entry
curl --request GET \
  --url https://api.myscalev.com/v3/orders/{id}/chats/{chat_id} \
  --header 'Authorization: Bearer <token>'
{
  "change_status": true,
  "hours_after": 123,
  "id": 123,
  "image": "<string>",
  "is_default": true,
  "name": "<string>",
  "provider": "<string>",
  "text": "<string>",
  "text_url": "<string>",
  "trigger": "<string>",
  "wa_integration_id": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
chat_id
string
required

Response

Chat text retrieved

change_status
boolean

Triggered after order status change to this status

hours_after
integer

Hours after which the follow-up chat is sent

id
integer

Follow-up chat ID

image
string<uri>

Image URL for the follow-up chat

is_default
boolean

Is this a default follow-up chat

name
string

Name of the follow-up chat

provider
string

Provider of the follow-up chat

text
string

Text of the follow-up chat

text_url
string

URL encoded text of the follow-up chat

trigger
string

Trigger for the follow-up chat

wa_integration_id
integer

WhatsApp integration ID for the follow-up chat